Community Articles
Find and share helpful community-sourced technical articles.
Announcements
Check out our newest addition to the community, the Cloudera Innovation Accelerator group hub.
Labels (2)

Setup your environment Gist

Demo

Source

4,214 Views
Comments

@Neeraj Sabharwal just tried doing the sparkR zeppelin install on HDP2.4, but had problems with dependencies in R (package ‘evaluate’ is not available (for R version 3.2.3)) Which causes the maven build to fail with this message:

ERROR: dependency ‘evaluate’ is not available for package ‘rzeppelin’
* removing ‘/root/Zeppelin-With-R/R/lib/rzeppelin’

Where u able to install the dependencies, I am thinking i have to downgrade my R version. Which version did u install. The gist takes the latest version: yum install R-*

> install.packages("evaluate", dependencies = TRUE)
Installing package into ‘/usr/lib64/R/library’
(as ‘lib’ is unspecified)
--- Please select a CRAN mirror for use in this session ---
Error in download.file(url, destfile = f, quiet = TRUE) :
  unsupported URL scheme
HTTPS CRAN mirror
 1: 0-Cloud [https]                2: Austria [https]
 3: Chile [https]                  4: China (Beijing 4) [https]
 5: Colombia (Cali) [https]        6: France (Lyon 2) [https]
 7: France (Paris 2) [https]       8: Germany (Münster) [https]
 9: Iceland [https]               10: Mexico (Mexico City) [https]
11: Russia (Moscow) [https]       12: Spain (A Coruña) [https]
13: Switzerland [https]           14: UK (Bristol) [https]
15: UK (Cambridge) [https]        16: USA (CA 1) [https]
17: USA (KS) [https]              18: USA (MI 1) [https]
19: USA (TN) [https]              20: USA (TX) [https]
21: USA (WA) [https]              22: (HTTP mirrors)
Selection: 21
Warning: unable to access index for repository https://xyz.xxxx.org/src/contrib:
  unsupported URL scheme
Warning message:
package ‘evaluate’ is not available (for R version 3.2.3)
> quit;

@Neeraj Sabharwal was able to get passed the dependencies issue with R 3.2.3 by explicitly specifigying the repo: repos="http://xyz.xxx.abc.edu") install.packages("evaluate", repos="http://xyz.xxx.abc.edu")

Hi @Neeraj Sabharwal,

When will it become GA?

Best,

Christian

Don't have an account?
Version history
Last update:
‎01-18-2016 03:17 PM
Updated by:
Contributors
Top Kudoed Authors